IBM WebSphere Process Server Hypervisor Edition V7.0 for Red Hat Enterprise Linux Server for x86 (32-bit), hardware and software requirements

Product documentation


Abstract

This document lists the hardware and software requirements for: IBM WebSphere Process Server Hypervisor Edition V7.0 for Red Hat Enterprise Linux Server for x86 (32-bit).

Content

<a name="CH" >WebSphere Process Server Hypervisor Edition for Red Hat Enterprise Linux Server for x86 (32-bit) 7.0</a

WebSphere Process Server Hypervisor Edition for Red Hat Enterprise Linux Server for x86 (32-bit) 7.0

Tab navigation

  • Linux - selected tab,

Hardware Requirements

Group Applicable Operating System Notes
Disk Space All Applicable Operating Systems Minimum 40 GB physical space
Memory All Applicable Operating Systems Minimum 2 GB physical memory
Other hardware All Applicable Operating Systems IBM System xSeries with VMWare ESX
Processor All Applicable Operating Systems Intel® Pentium at 500MHz or faster; Intel® EM64T or AMD Opteron

Operating Systems

Operating System Attributes Notes
Linux Platform listing of supported operating systems
Red Hat Enterprise Linux (RHEL) 5.0 Advanced Platform x86-32 Bitness: 32 Bit
Deployment Role: Server
Hardware platform: x86-32

Software Requirements

Group Product Applicable Operating Systems Notes
Application Servers WebSphere Application Server Feature Pack for XML Version 1.0.0 Fix Pack 5 (overview) All Applicable Operating Systems
WebSphere Application Server V7 Feature Pack for Service Component Architecture Version 1.0.1 Fix Pack 3 (overview) (support) All Applicable Operating Systems
WebSphere CloudBurst Appliance Version 2.0 (overview) (support) All Applicable Operating Systems
WebSphere Application Server Network Deployment Version 7.0.0 Fix Pack 7 (overview) (support) All Applicable Operating Systems
Java 2 SE IBM SDK for Multiplatforms Java 2 Technology Edition Version 6.0 SR6 (overview) (support) All Applicable Operating Systems The WebSphere-supplied Java SDK is required for both the run time and any remote Java clients
Java Runtime Environment IBM SDK for Multiplatforms Java 2 Technology Edition Version 6.0 SR3 (overview) (support) All Applicable Operating Systems

Compatible with (but not required)

Group Product Applicable Operating Systems Notes
Business to Business Integration WebSphere Partner Gateway Advanced Edition 6.2(overview) (support) All Applicable Operating Systems For WebSphere Process Server only
WebSphere Partner Gateway Enterprise Edition 6.2(overview) (support) All Applicable Operating Systems For WebSphere Process Server only
Clients IA94 - IBM Message Service Client for C/C++ (Cat 3 SupportPac) 2.0.1 All Applicable Operating Systems
WebSphere Process Server V6.1(overview) (support) All Applicable Operating Systems IBM WebSphere Process Server Client 6.1.0
Note: The WebSphere Process Server Client can be installed on WebSphere Application Server and supported on the same set of platforms supported by WebSphere Process Server. Customer applications using or based on the WebSphere Process Client V6.x work against WebSphere Process Server V7.0.0
WebSphere Process Server V6.1.2(overview) (support) All Applicable Operating Systems IBM WebSphere Process Server Client V6.1.2
Note: The WebSphere Process Server Client can be installed on WebSphere Application Server and supported on the same set of platforms supported by WebSphere Process Server. Customer applications using or based on the WebSphere Process Client V6.x work against WebSphere Process Server V7.0.0
WebSphere Process Server V6.2(overview) (support) All Applicable Operating Systems IBM WebSphere Process Server Client V6.2.0
Note: The WebSphere Process Server Client can be installed on WebSphere Application Server and supported on the same set of platforms supported by WebSphere Process Server. Customer applications using or based on the WebSphere Process Client V6.x work against WebSphere Process Server V7.0.0
WebSphere Process Server 7.0(overview) (support) All Applicable Operating Systems IBM WebSphere Process Server Client V7.0.0
Note: The WebSphere Process Server Client can be installed on WebSphere Application Server and supported on the same set of platforms supported by WebSphere Process Server. Customer applications using or based on the WebSphere Process Client V6.x work against WebSphere Process Server V7.0.0
Database - DB2 DB2 Enterprise Server Edition V9.5(overview) (support) All Applicable Operating Systems
DB2 Enterprise Server Edition V9.7(overview) (support) All Applicable Operating Systems
DB2 Universal Database Workgroup Edition V9.5 All Applicable Operating Systems
DB2 Universal Database Workgroup Edition V9.7 All Applicable Operating Systems
Databases Apache Derby V10.3 All Applicable Operating Systems
DB2 Enterprise Server Edition V9.1(overview) (support) All Applicable Operating Systems
DB2 Enterprise Server Edition V8.2 fp6 (aka v8 fp13)(overview) (support) All Applicable Operating Systems Only Enterprise Server Edition and Workgroup Server Edition supported
DB2 Universal Database Workgroup Server Edition V9.1(overview) (support) All Applicable Operating Systems
DB2 for i5/OS 6.1 All Applicable Operating Systems ONLY SUPPORTED FOR REMOTE SYSTEMS
DB2 for i5/OS V5R4 All Applicable Operating Systems ONLY SUPPORTED FOR REMOTE SYSTEMS
IBM Informix Dynamic Server V10.00 All Applicable Operating Systems IBM Informix Dynamic Server 1 0.00.xC6
Notes:
  • Not supported for the reporting function in Business Process Choreographer
  • Not supported for the Business Space component.
  • Informix IDS 10.00.xC6 Query Table capability of Business Process Choreographer is not supported due to IDS SQL limitation of 'no support of sub-selects as part of the from-clause'.
Informix Dynamic Server Enterprise Edition V11.50(overview) (support) All Applicable Operating Systems
  • Not supported for the reporting function exposed by Business Process Choreographer Explorer
  • Not supported for the business space component
Informix Dynamic Server Express V11.10(overview) (support) All Applicable Operating Systems
  • Not supported for the reporting function exposed by Business Process Choreographer Explorer
  • Not supported for the business space component
  • Oracle Database 10g Enterprise Edition Release 1 10.1.0.4 All Applicable Operating Systems See Note #1
    Oracle Database 10g Enterprise Edition Release 2 10.2.0.2 All Applicable Operating Systems See Note #1
    Oracle Database 10g Standard Edition Release 1 10.1.0.4 All Applicable Operating Systems See Note #1
    Oracle Database 10g Standard Edition Release 2 10.2.0.2 All Applicable Operating Systems See Note #1
    Oracle Database 11g Enterprise Edition Release 1 11.1.0.6 All Applicable Operating Systems See Note #1
    Oracle Database 11g Enterprise Edition Release 2 All Applicable Operating Systems
    • Supports Oracle Real Application Cluster (RAC)

     

     

     

     

    Oracle Database 11g Standard Edition Release 1 11.1.0.6 All Applicable Operating Systems See Note #1
    Oracle Database 11g Standard Edition Release 2 All Applicable Operating Systems See Note #1
    JDBC Drivers Apache Derby 10.3 JDBC 3.0 All Applicable Operating Systems
    Apache Derby 10.3 JDBC 4.0 All Applicable Operating Systems
    DB2 Driver for JDBC and SQLJ (type 2/4) 3.4.65 All Applicable Operating Systems
    DB2 Universal JDBC Driver (type 2/4) 2.10.72 All Applicable Operating Systems
    DataDirect Connect for JDBC 4.0 (type 4) All Applicable Operating Systems
    IBM Application Connectivity to DB2 for z/OS Feature Version All Applicable Operating Systems
    IBM Data Server Driver for JDBC and SQLJ 3.51 All Applicable Operating Systems
    IBM Data Server Driver for JDBC and SQLJ (type 4) 4.1 All Applicable Operating Systems
    IBM Toolbox for Java/JTOpen JDBC Driver 6.0 (Type 4) All Applicable Operating Systems
    Informix JDBC 3.00.JC3(overview) (support) All Applicable Operating Systems IBM Informix JDBC Driver 3.00 JC3 (type 4)
    Informix Java Database Connectivity Driver 3.10.JC1 All Applicable Operating Systems
    Informix Java Database Connectivity Driver 3.50.JC5 All Applicable Operating Systems
    • Type 4
    • Required for Informix Dynamic server 11.50
    Microsoft SQL Server 2005 JDBC Driver 1.2 All Applicable Operating Systems
    Oracle JDBC Driver 11g 11.1.0.6 All Applicable Operating Systems
    JMS Providers IBM WebSphere Application Server default messaging provider Version All Applicable Operating Systems

    Refer to:

    WebSphere Process Server and WebSphere Enterprise Service Bus- Third party Java Message Service (JMS) Provider Support)
    WebSphere MQ V6.0.2 Fix Pack 5 All Applicable Operating Systems
    1. Refer to: Information about using the WebSphere MQ messaging provider for WebSphere Application Server Version 7.0
    WebSphere MQ V7.0(overview) (support) All Applicable Operating Systems Refer to: Information about using the WebSphere MQ messaging provider for WebSphere Application Server Version 7.0
    WebSphere MQ V7.0.1(overview) (support) All Applicable Operating Systems
    LDAP Servers Lotus Domino V8.0(overview) (support) All Applicable Operating Systems
    • Only supports Lotus Domino Enterprise Edition
    • Not supported for Business Space component
    Tivoli Directory Server V6.1(overview) (support) All Applicable Operating Systems
    Tivoli Directory Server V6.2(overview) (support) All Applicable Operating Systems
    Novell eDirectory V8.7.3 SP9 All Applicable Operating Systems
    1. Not supported for Business Space component
    Novell eDirectory V8.8.1 All Applicable Operating Systems Not supported for Business Space component
    OpenLDAP 2.4.7 All Applicable Operating Systems Not supported for Business Space component
    Sun Java System Directory Server 6.0 All Applicable Operating Systems
    Sun Java System Directory Server 6.1 All Applicable Operating Systems
    License Use Management Tivoli License Compliance Manager V2.2(overview) (support) All Applicable OS
    Repository WebSphere Service Registry and Repository V6.2(overview) (support) All Applicable Operating Systems
    • Remote connection to earlier versions of WebSphere Service Registry and Repository is supported.
    • To use WebSphere Process Server or WebSphere Enterprise Service Bus policy driven mediations the minimum support level is WebSphere Service Registry and Repository 6.2 FP2
    WebSphere Service Registry and Repository V6.3(overview) (support) All Applicable Operating Systems
    • Remote connection to earlier versions of WebSphere Service Registry and Repository is supported.
    • To use WebSphere Process Server or WebSphere Enterprise Service Bus policy driven mediations the minimum support level is WebSphere Service Registry and Repository 6.2 FP2
    WebSphere Service Registry and Repository v7.0(overview) (support) All Applicable Operating Systems
    • Remote connection to earlier versions of WebSphere Service Registry and Repository is supported.
    • To use WebSphere Process Server or WebSphere Enterprise Service Bus policy driven mediations the minimum support level is WebSphere Service Registry and Repository 6.2 FP2
    Resource Adapters CICS Transaction Gateway 6.0 and CICS Universal Client 6.0 All Applicable Operating Systems Supports Transaction Gateway only
    CICS Transaction Gateway and CICS Universal Client 7.0 All Applicable Operating Systems Supports Transaction Gateway only
    IBM IMS TM Resource Adapter 10 All Applicable Operating Systems
    IBM IMS TM Resource Adapter 9.1.0.2 All Applicable Operating Systems
    Security Tivoli Access Manager for e-business 6.0(overview) (support) All Applicable Operating Systems
    Tivoli Access Manager for e-business 6.1(overview) (support) All Applicable Operating Systems
    Virtualization VMware ESX and ESXi 4.0 All Applicable Operating Systems
    Web Browsers Mozilla Firefox 3.0 All Applicable Operating Systems
    Mozilla Firefox 3.5 All Applicable Operating Systems
    1. Supported from Fix Pack 2
    Web Servers Apache HTTP Server 2.0.58 All Applicable Operating Systems
    Apache HTTP Server 2.2 All Applicable Operating Systems
    Lotus Domino 7.0.2(overview) (support) All Applicable Operating Systems
    • Only supports Lotus Domino Enterprise Edition
    • Not supported for Business Space component
    Lotus Domino 8.0(overview) (support) All Applicable Operating Systems
    • Only supports Lotus Domino Enterprise Edition
    • Not supported for Business Space component
    IBM HTTP Server 6.1(overview) (support) All Applicable Operating Systems
    IBM HTTP Server 7.0(overview) (support) All Applicable Operating Systems

    WebSphere Process Server Hypervisor Edition Related information
    WebSphere Process Server Hypervisor Edition Support Page
    WebSphere Process Server Hypervisor Edition Information Center


    Rate this page:

    (0 users)Average rating

    Add comments

    Document information


    More support for:

    WebSphere Process Server Hypervisor Edition
    General

    Software version:

    7.0

    Operating system(s):

    Linux

    Reference #:

    7019617

    Modified date:

    2010-09-28

    Translate my page

    Machine Translation

    Content navigation